summaryrefslogtreecommitdiffstats
path: root/debian/intel-microcode.kpreinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/intel-microcode.kpreinst')
-rw-r--r--debian/intel-microcode.kpreinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/intel-microcode.kpreinst b/debian/intel-microcode.kpreinst
new file mode 100644
index 0000000..d98b40c
--- /dev/null
+++ b/debian/intel-microcode.kpreinst
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# /etc/kernel/preinst.d script for intel-microcode version 3
+# Copyright (C) 2014 Henrique de Moraes Holschuh <hmh@debian.org>
+# Released under the GPL v2 or later license
+#
+# This script makes sure the cpuid module is loaded, before the
+# kernel image has a chance to replace it with a new one that
+# might not be compatible with the current kernel.
+#
+# We need the cpuid module for iucode_tool --scan-system,
+# which is used by the initramfs hook.
+#
+
+grep -q cpu/cpuid /proc/devices || modprobe -q cpuid || true
+
+: